import { BottomNavigation } from "@/app/_components/BottomNavigation";
import { Header } from "@/app/_components/Header";
import { Main } from "@/app/_components/Main";
import { Providers } from "@/app/_components/Providers";
import { Sidebar } from "@/app/_components/Sidebar";
import "@/app/globals.css";
import type { Metadata } from "next";

export const metadata: Metadata = {
  title: "Diary",
  description: "Generated by create next app",
};

interface RootLayoutProps {
  children: React.ReactNode;
}

export default function RootLayout({ children }: RootLayoutProps) {
  return (
    <html lang="en" suppressHydrationWarning>
      <body className="bg-base-100 overflow-hidden grid grid-areas-layout md:grid-areas-layout-md grid-rows-layout md:grid-rows-layout-md grid-cols-layout md:grid-cols-layout-md h-[100dvh]">
        <Providers>
          <Header />
          <Sidebar />
          <Main>{children}</Main>
          <BottomNavigation />
        </Providers>
      </body>
    </html>
  );
}
